AI Sync

Functions

Update Call Transfer Function

PATCHhttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/call-transfer/{agent_id}
Update Call Transfer Function
curl --request PATCH \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/call-transfer/agent_123 \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "isEnabled": true,
  "auto_greet": true,
  "description": "value",
  "phoneNumber": "value",
  "callerIdMode": "agentPhoneNumber",
  "navigate_ivr": true,
  "transferType": "warm",
  "businessRules": [],
  "on_hold_music": "value",
  "type_transfer": "warm",
  "business_rules": [],
  "fallbackNumber": "value",
  "extension_value": "value",
  "fallback_number": "value",
  "human_detection": true,
  "transfer_number": "value",
  "whisper_message": true,
  "displayed_number": "value",
  "extension_number": true,
  "detection_timeout": 1,
  "three_way_message": true,
  "businessRoutingMode": "always",
  "fallbackDescription": "value",
  "failoverStaticPhrase": "value",
  "fallback_description": "value",
  "business_routing_mode": "always",
  "failover_static_phrase": "value",
  "navigate_ivr_description": "value",
  "transfer_destination_type": "static",
  "dynamic_routing_description": "value",
  "failoverContinueConversation": true,
  "whisper_handoff_message_type": "prompt",
  "failover_continue_conversation": true,
  "three_way_handoff_message_type": "prompt",
  "whisper_handoff_message_description": "value",
  "three_way_handoff_message_description": "value"
}'
{
  "data": {
    "agent_id": "agent_123"
  },
  "message": "Saved",
  "success": true
}

Update Call Transfer Function#

Update Call Transfer function for an AI agent..

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

isEnabledbooleanbody

send only when changing this field

descriptionstringbody

may be null. send only when changing this field

phoneNumberstringbody

may be null. send only when changing this field

transferTypestringbody

One of: warm, cold, http. send only when changing this field

callerIdModestringbody

One of: agentPhoneNumber, userPhoneNumber. send only when changing this field

displayed_numberstringbody

may be null. send only when changing this field

type_transferstringbody

One of: warm, cold, http. send only when changing this field

transfer_destination_typestringbody

One of: static, dynamic. send only when changing this field

transfer_numberstringbody

may be null. send only when changing this field

fallback_numberstringbody

may be null. send only when changing this field

fallbackNumberstringbody

may be null. send only when changing this field

fallback_descriptionstringbody

may be null. send only when changing this field

fallbackDescriptionstringbody

may be null. send only when changing this field

business_routing_modestringbody

One of: always, schedule. send only when changing this field

businessRoutingModestringbody

One of: always, schedule. send only when changing this field

business_rulesarraybody

send only when changing this field

businessRulesarraybody

send only when changing this field

failover_continue_conversationbooleanbody

send only when changing this field

failoverContinueConversationbooleanbody

send only when changing this field

failover_static_phrasestringbody

may be null. send only when changing this field

failoverStaticPhrasestringbody

may be null. send only when changing this field

extension_numberbooleanbody

send only when changing this field

extension_valuestringbody

may be null. send only when changing this field

dynamic_routing_descriptionstringbody

may be null. send only when changing this field

on_hold_musicstringbody

may be null. send only when changing this field

navigate_ivrbooleanbody

send only when changing this field

navigate_ivr_descriptionstringbody

may be null. send only when changing this field

human_detectionbooleanbody

send only when changing this field

detection_timeoutintegerbody

One of: 1. min 1. send only when changing this field

auto_greetbooleanbody

send only when changing this field

whisper_messagebooleanbody

send only when changing this field

whisper_handoff_message_typestringbody

One of: prompt, static_message. send only when changing this field

whisper_handoff_message_descriptionstringbody

may be null. send only when changing this field

three_way_messagebooleanbody

send only when changing this field

three_way_handoff_message_typestringbody

One of: prompt, static_message. send only when changing this field

three_way_handoff_message_descriptionstringbody

may be null. send only when changing this field

curl --request PATCH \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/functions/call-transfer/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}' \
 --header 'Content-Type: application/json' \
 --data '{"isEnabled":true,"description":"value","phoneNumber":"value","transferType":"warm","callerIdMode":"agentPhoneNumber","displayed_number":"value","type_transfer":"warm","transfer_destination_type":"static","transfer_number":"value","fallback_number":"value","fallbackNumber":"value","fallback_description":"value","fallbackDescription":"value","business_routing_mode":"always","businessRoutingMode":"always","business_rules":[],"businessRules":[],"failover_continue_conversation":true,"failoverContinueConversation":true,"failover_static_phrase":"value","failoverStaticPhrase":"value","extension_number":true,"extension_value":"value","dynamic_routing_description":"value","on_hold_music":"value","navigate_ivr":true,"navigate_ivr_description":"value","human_detection":true,"detection_timeout":1,"auto_greet":true,"whisper_message":true,"whisper_handoff_message_type":"prompt","whisper_handoff_message_description":"value","three_way_message":true,"three_way_handoff_message_type":"prompt","three_way_handoff_message_description":"value"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records